CorebanqCorebanq Developer Docs
Usersv1Users

Invite regular user

Invite regular user to client application (requires Internal role + Create permission on users)

POST
/v1/users/invite

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/users/invite" \  -H "Content-Type: application/json" \  -d '{    "email": "user@example.com"  }'
{
  "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",
  "email": "user@example.com",
  "status": "pending_activation",
  "invite_sent_at": "2019-08-24T14:15:22Z",
  "invite_expires_at": "2019-08-24T14:15:22Z"
}
{
  "status": 400,
  "message": "Failed to serialize",
  "code": "common.failed_to_serialize",
  "class": "validation"
}
{
  "status": 401,
  "message": "Unauthorized",
  "code": "common.unauthorized",
  "class": "business"
}
{
  "status": 403,
  "message": "No access to the record",
  "code": "common.rbac_no_rec_access",
  "class": "business"
}

{
  "status": 409,
  "message": "Credential already exists",
  "code": "users_m.duplicate_credential",
  "class": "business"
}

{
  "status": 429,
  "message": "Rate limit for 203.0.113.10 to 456e1234-e89b-12d3-a456-426614174111 exceeded.",
  "code": "rate_limits_m.exceeded",
  "class": "temporary",
  "retryable": true
}

{
  "status": 500,
  "message": "Internal server error",
  "code": "common.server_error",
  "class": "business"
}

{
  "overall_status": "unhealthy",
  "message": "Service is shutting down",
  "timestamp": "2026-08-27T15:04:05Z"
}